{% extends "base.html" %}
{% load static %}
{% load i18n %}
{% load bulma_tags %}

{% static "achievements/img/wiggle-bronze.jpg" as bronze %}
{% static "achievements/img/wiggle-silver.jpg" as silver %}
{% static "achievements/img/wiggle-gold.jpg" as gold %}
{% static "achievements/img/wiggle-platinum.jpg" as platinum %}


{% block title %}
  {% translate "error: dit lid bestaat niet" as no_member_error %}
  {{ viewed_person|default_if_none:no_member_error }}
{% endblock %}

{% block body %}
  {% if viewed_person %}
    <h1>{{viewed_person}}</h1>
    {% if current_user_can_reward %}
    {% translate "Geef deze achievements" as button_text %}
    <form action ={% url "userachievements" pk=viewed_person.id %} method="post">
      {% csrf_token %}
      {{ reward_achievement_form|bulma }}
      <input class = "button is-primary" type="submit" value="{{ button_text }}">
    </form>
    {% endif %}
    <h2>Achievements:</h2>
    {% if achievement_list %}
      <div class="table-container">
        <table class="table is-bordered">
          <thead>
            {% translate "Eenmalige Achievements" %}
          </thead>
          <tbody>
            {% for achieved in achievement_list %}
              {% translate achieved.achievement.name as achievement_name %}
              {% if forloop.counter0|divisibleby:"6" %}
                {% if not forloop.first %}
                  </tr>
                {% endif %}
                  <tr>
              {% endif%}
              <td class = "is-1">
                <div class="has-text-centered">
                  {{ achievement_name }}
                </div>
                <div class="has-text-centered">
                  <img
                  src = "{% static 'achievements/img/wiggle-platinum.png' %}"
                  alt = "{{ achievement_name }} {% translate 'squiggle' %}"
                  {% if not achieved.has_achieved %} style = "opacity:.3;" {% endif %}
                  class = "is-align-content-center">
                </div>
                <div class="has-text-centered">
                  {% translate achieved.achievement.description %}
                </div>
              </td>
              {% if forloop.last %}
                </tr>
              {% endif%}
            {% endfor %}
          </tbody>
        </table>
      </div>
    {% else %}
      <p>{% translate "Dit lid heeft geen achievements." %}</p>
    {% endif %}
    {% translate "Medailleachievements" as achievementtype_medal %}
    <h2>{{achievementtype_medal}}:</h2>
    {% if medal_list %}
      <div class="table-container">
        <table class="table is-striped">
          <thead>
            <th class = "is-1">{{ achievementtype_medal }}</th>
            <th class = "is-1">{% translate "Brons" %}</th>
            <th class = "is-1">{% translate "Zilver" %} </th>
            <th class = "is-1">{% translate "Goud" %}</th>
            <th class = "is-1">{% translate "A&ndash;Eskwadraat" %}</th>
          </thead>
          {% for received in medal_list %}
          {% translate received.medal.name as medal_name %}
          <tr>
            <th>
              {{ medal_name }}
            </th>
            <td>
              <figure class = "image is-5by3">
                <img src = "{% static 'achievements/img/wiggle-bronze.png' %}"
                alt = "{{ medal_name }} {% translate 'brons' %}"{% if not received.rank >= 1 %}
                style = "opacity:.3;" {% endif %}>
              </figure>
              <div style = "width: 98px;" class = "custom-meter">
                {% with received.medal.bronze_requirement as requirement %}
                  {% widthratio received.count requirement 100 as bronze_ratio %}
                  <div 
                    {% if bronze_ratio|add:"0" < 100 %}
                      style="width:{{ bronze_ratio }}%;"
                      class = "custom-meter-partial"
                    {% else %}
                      class = "custom-meter-success"
                    {% endif %}>
                    <div class = "has-text-centered">
                      {% if received.count < requirement %}
                          {{received.count}}/{{requirement}}
                      {% else %}
                          {{requirement}}/{{requirement}}
                      {% endif %}
                  </div>
                  </div>
                {% endwith %}
              </div>
            </td>
            <td>
              <figure class = "image is-5by3">
                <img src = "{% static 'achievements/img/wiggle-silver.png' %}"
                  alt = "{{ medal_name }} {% translate 'zilver' %}"{% if not received.rank >= 2 %}
                  style = "opacity:.3;" {% endif %}>
              </figure>
              <div style = "width: 98px;" class = "custom-meter">
                {% with received.medal.silver_requirement as requirement %}
                  {% widthratio received.count requirement 100 as silver_ratio%}
                  <div 
                    {% if silver_ratio|add:"0" < 100 %}
                      style = "width:{{silver_ratio}}%;"
                      class = "custom-meter-partial"
                    {% else %}
                      class = "custom-meter-success"
                    {% endif %}>
                    <div class="has-text-centered">
                      {% if received.count < requirement %}
                          {{received.count}}/{{requirement}}
                      {% else %}
                          {{requirement}}/{{requirement}}
                      {% endif %}
                    </div>
                  </div>
                {% endwith %}
              </div>
            </td>
            <td>
              <figure class = "image is-5by3">
                <img src = "{% static 'achievements/img/wiggle-gold.png' %}"
                  alt = "{{ medal_name }} {% translate 'goud' %}"{% if not received.rank >= 3 %}
                  style = "opacity:.3;" {% endif %}>
              </figure>
              <div style = "width: 98px;" class = "custom-meter">
                {% with received.medal.gold_requirement as requirement %}
                  {% widthratio received.count requirement 100 as gold_ratio %}
                  <div 
                    {% if gold_ratio|add:"0" < 100 %}
                      style = "width:{{ gold_ratio }}%;"
                      class ="custom-meter-partial"
                    {% else %}
                      class ="custom-meter-success"
                    {% endif %}>
                    <div class ="has-text-centered">
                      {% if received.count < requirement %}
                        {{received.count}}/{{requirement}}
                      {% else %}
                        {{requirement}}/{{requirement}}
                      {% endif %}
                    </div>
                  </div>
                {% endwith %}
              </div>
            </td>
            <td>
              <figure class = "image is-5by3">
                <img src = "{% static 'achievements/img/wiggle-platinum.png' %}"
                  alt = "{{ medal_name }} {% translate 'A&ndash;Eskwadraat' %}"{% if not received.rank >= 4 %}
                  style = "opacity:.3;" {% endif %}>
              </figure>
              <div style = "width: 98px;" class = "custom-meter">
                {% with received.medal.platinum_requirement as requirement %}
                  {% widthratio received.count requirement 100 as platinum_ratio%}
                  <div 
                    {% if platinum_ratio|add:"0" < 100 %}
                      style="width:{{ platinum_ratio }}%;"
                      class = "custom-meter-partial"
                    {% else %}
                      class = "custom-meter-success"
                    {% endif %}>
                    <div class="has-text-centered">
                      {{received.count}}/{{requirement}}
                    </div>
                  </div>
                {% endwith %}
              </div>
            </td>
          </tr>
          {% endfor %}
        </table>
      </div>
    {% else %}
      <p>{% translate "Er zijn geen Medailleachievements"  %}</p>
    {% endif %}
  {% else %}
    <h1>{{ no_member_error }}</h1>
  {% endif %}
{% endblock %}
